Paack APIs
Log In
Paack APIs

/public/v3/orders/{external_id}

Updates the order of the external_id specified in the path parameter.

Note that you can update only some fields from the create (POST) request. You cannot update external_id, cod_value, cod_currency, delivery_type, service_type, customer.has_gdpr_consent, order_details["sale_number"], delivery_instructions, and pick_up_instructions. There is no validation performed if you try to update those fields.

In case you need to update the pickup address, cancel the order and use a different external ID to create an order with the correct pickup address.

Path Params
string
required
length ≤ 128

external_id with which the order was created.

Body Params

Updates the order of the specified external_id.

Defines the request to update the specified order.

customer
object
required

Information on the person receiving the parcels.

delivery_address
object
required

Delivery address.

expected_delivery_ts
object
required

Timeslot defined by the objects start and end.

parcels
array of objects

Parcels included in the order. If you don't want to update the parcels, keep the array null or empty. If you want to update, add, or remove parcels, define them all one per object as this array overwrites whatever was persisted for the parcels before the update.

parcels
expected_pick_up_ts
object

Timeslot defined by the objects start and end.

clusters
array of strings

🚧 Identifiers that associate orders with each other. Learn more here. Note that, as of now, the array cannot be retrieved through a GET request.

clusters
Responses

external_id has been updated.

error array. Note that the response can return only one error at once.

To ensure a correct validation of a request:
- Body of the request must use a structured JSON format.
- All mandatory fields must be defined.
- Values for fields in the request must match the specific data type and format, including all limitations (e.g., external_id must be unique).

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json